﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Infragistics.Documents.Excel;

namespace IWorkbookFontColorInfo93442
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.Load += Form1_Load;
        }

        void Form1_Load(object sender, EventArgs e)
        {
            ultraGrid1.DataSource = DataTable();

            Workbook wb = new Workbook();
            wb.Worksheets.Add("worksheet1");
            ultraGridExcelExporter1.Export(ultraGrid1, wb);
            
            //Create an instance of the WorkbookColorInfo object, pass in a desired Color
            WorkbookColorInfo ci = new WorkbookColorInfo(Color.Green);
            //Set this instance as the ColorInfo object for a cell
            wb.Worksheets[0].Rows[1].Cells[0].CellFormat.Font.ColorInfo = ci;
            
            wb.Save("myExcel.xls");
            System.Diagnostics.Process.Start("myExcel.xls");
        }

        private static DataTable DataTable()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add();
            for(int i = 0; i < 9; i++)
            {
                dt.Rows.Add("item" + i.ToString());
            }

            return dt;
        }
    }
}
